IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QMUH_FISTUR]') AND OBJECTPROPERTY(id,N'IsVIew') = 1)
BEGIN
    INSERT INTO SCRIPT_BACKUPS (SCRIPTNAME,SCRIPT,SCRIPTDATE) SELECT 'QMUH_FISTUR' SCRIPTNAME,OBJECT_DEFINITION(OBJECT_ID('QMUH_FISTUR')) AS SCRIPT,GETDATE() AS SCRIPTDATE
    DROP VIEW QMUH_FISTUR
END
GO

 CREATE 
  VIEW [dbo].[QMUH_FISTUR] AS 
 
select -1                                            AS FISTURID,
       'Gelir Bütçesi'                               AS FISTURADI,
       6                                             AS HESAPTIPID, 
       'BORC'                                        AS ALANTIPI,
       ''                                            AS CEKSONDURUMID,
       0                                             AS BELGETURUID
 union ALL    
       
/*     FISTURID, FISTURADI,                                     HESAPTIPID, ALANTIPI, CEKSONDURUMID,           BELGETURID         */
select -2,       'Gider Bütçesi',                               7,          'ALACAK', NULL,                    0           union ALL
select -3,       'Geçen Yıl Gelir',                             6,          'BORC',   '',                      0           union ALL
select -4,       'Geçen Yıl Gider',                             7,          'ALACAK', NULL,                    0           union ALL
select  1,       'Kasaya Tahsilat',                             100,        'BORC',   '',                      9           union ALL
select  2,       'Kasadan Ödeme',                               100,        'ALACAK', NULL,                    10          union ALL
select  3,       'Bankaya Tahsilat',                            102,        'BORC',   NULL,                    4           union ALL
select  4,       'Bankadan Ödeme',                              102,        'ALACAK', NULL,                    4           union ALL
select  5,       'Borç Dekontu',                                NULL,       'BORC',   NULL,                    17          union ALL
select  6,       'Alacak Dekontu',                              NULL,       'ALACAK', NULL,                    17          union ALL
select  7,       'Taksitli Tahsilatlar',                        NULL,       'ALACAK', NULL,                    9           union ALL
select  8,       'Taksitli Ödemeler',                           NULL,       'BORC',   NULL,                    10          union ALL
select  9,       'Virman',                                      NULL,       'BORC',   NULL,                    17          union ALL
select  21,      'Çek-Senet Giriş (Portfoye Alındı)',           120,        'ALACAK', '-1',                    2           union ALL
select  22,      'Çek-Senet Giriş (Portfoye Geri Alındı)',      320,        'ALACAK', '23,24,25,26,27,31,32',  2           union ALL  
select  23,      'Çek-Senet Çıkış (Tahsile Verildi)',           101,        'BORC',   '21,22',                 2           union ALL
select  24,      'Çek-Senet Çıkış (Teminata Verildi)',          102,        'BORC',   '21,22',                 2           union ALL
select  25,      'Çek-Senet Çıkış (Protesto Edildi)',           NULL,       'BORC',   '21,22',                 2           union ALL
select  26,      'Çek-Senet Çıkış (Adli Takipte)',              NULL,       'BORC',   '21,22',                 2           union ALL
select  27,      'Çek-Senet Çıkış (İptal Edildi)',              NULL,       'BORC',   '21,22',                 2           union ALL
select  31,      'Çek-Senet Çıkış (Ciro Edildi)',               320,        'BORC',   '21,22',                 2           union ALL
select  32,      'Çek-Senet Çıkış (İade Edildi)',               320,        'BORC',   '21,22',                 2           union ALL
select  33,      'Çek-Senet Ödeme (Bankadan Ödendi)',           102,        'ALACAK', '31',                    2           union ALL
select  34,      'Çek-Senet Ödeme (Kasadan Ödendi)',            100,        'ALACAK', '31',                    2           union ALL
select  35,      'Çek-Senet Tahsil (Bankaya Tahsil)',           102,        'BORC',   '21,22,23',              2           union ALL
select  36,      'Çek-Senet Tahsil (Kasaya Tahsil)',            100,        'BORC',   '21,22,23',              2           union ALL
select  28,      'Çek-Senet Giriş (Kendi Çekimiz Geri Alındı)', 320,        'ALACAK', '31',                    2           union ALL
select  41,      'Mahsup',                                      NULL,       '',       NULL,                    NULL        union ALL
select  42,      'Tahsil',                                      100,        'BORC',   NULL,                    9           union ALL
select  43,      'Tediye',                                      100,        'ALACAK', NULL,                    10          union ALL
select  44,      'Yansıtma',                                    NULL,       '',       NULL,                    NULL        union ALL
select  45,      'Kur Farkı',                                   NULL,       '',       NULL,                    15          union ALL
select  48,      'Kapanış',                                     NULL,       '',       NULL,                    NULL        union ALL
select  49,      'Açılış',                                      NULL,       '',       NULL,                    NULL        union ALL
select  51,      'Stok Alış Faturası',                          320,        'ALACAK', NULL,                    1           union ALL
select  52,      'Stok Satış Faturası',                         120,        'BORC',   NULL,                    1           union ALL
select  53,      'Stok Alış İade Faturası',                     120,        'BORC',   NULL,                    1           union ALL
select  54,      'Stok Satış İade Faturası',                    320,        'ALACAK', NULL,                    1           union ALL
select  61,      'Hizmet Alış Faturası',                        320,        'ALACAK', NULL,                    1           union ALL
select  62,      'Hizmet Satış Faturası',                       120,        'BORC',   NULL,                    1           union ALL
select  63,      'Hizmet Alış İade Faturası',                   120,        'BORC',   NULL,                    1           union ALL
select  64,      'Hizmet Satış İade Faturası',                  320,        'ALACAK', NULL,                    1           union ALL
select  65,      'Gider Pusulası',                              320,        'ALACAK', NULL,                   -1           union ALL
select  66,      'Serbest Meslek Makbuzu',                      320,        'ALACAK', NULL,                   -1           union ALL
select  67,      'Müstahsil Makbuzu',                           320,        'ALACAK', NULL,                   -1           union ALL
select  68,      'Perakende Alış Fişi',                         120,        'BORC',   NULL,                   -1           union ALL
select  69,      'Perakende Satış Fişi',                        320,        'ALACAK', NULL,                   -1  

/* Ver No:4  Created by S at 21.03.2017 14:56:40 */
GO


